Skip to main content
GET
/
v2
/
payments
/
refunds
/
{refund_id}
Show refund details
curl --request GET \
  --url https://api-m.paypal.com/v2/payments/refunds/{refund_id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "1JU08902781691411",
  "amount": {
    "value": "10.99",
    "currency_code": "USD"
  },
  "status": "COMPLETED",
  "note": "Defective product",
  "seller_payable_breakdown": {
    "gross_amount": {
      "value": "10.99",
      "currency_code": "USD"
    },
    "paypal_fee": {
      "value": "0.33",
      "currency_code": "USD"
    },
    "platform_fees": [
      {
        "amount": {
          "currency_code": "USD",
          "value": "1.00"
        },
        "payee": {
          "email_address": "fee@example.com"
        }
      }
    ],
    "net_amount": {
      "value": "9.66",
      "currency_code": "USD"
    },
    "total_refunded_amount": {
      "value": "10.99",
      "currency_code": "USD"
    }
  },
  "invoice_id": "INVOICE-123",
  "create_time": "2018-09-11T23:24:19Z",
  "update_time": "2018-09-11T23:24:19Z",
  "links": [
    {
      "rel": "self",
      "method": "GET",
      "href": "https://api-m.paypal.com/v2/payments/refunds/1JU08902781691411"
    },
    {
      "rel": "up",
      "method": "GET",
      "href": "https://api-m.paypal.com/v2/payments/captures/2GG279541U471931P"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.paypal.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

OAuth 2.0 authentication

Headers

Authorization
string

Holds authorization information for external API calls. Standard headers are generally less restrictive in structure due to historical precedent across browsers, etc. This is a common schema for use in defining most standard headers.

Required string length: 1 - 16000
Pattern: ^.*$
PayPal-Auth-Assertion
string

Header for an API client-provided JWT assertion that identifies the merchant. Establishing the consent to act-on-behalf of a merchant is a prerequisite for using this header.

Required string length: 1 - 10000
Pattern: ^.*$

Path Parameters

refund_id
string
required

The PayPal-generated ID for the refund for which to show details.

Maximum string length: 2147483647
Pattern: ^[\S\s]*$

Response

A successful request returns the HTTP 200 OK status code and a JSON response body that shows refund details.

The refund information.

status
enum<string>
read-only

The status of the refund.

Available options:
CANCELLED,
FAILED,
PENDING,
COMPLETED
status_details
refund_status_details · object

The details of the refund status.

id
string
read-only

The PayPal-generated ID for the refund.

Maximum string length: 2147483647
Pattern: ^[\S\s]*$
amount
Money · object

The amount that the payee refunded to the payer.

invoice_id
string
read-only

The API caller-provided external invoice number for this order. Appears in both the payer's transaction history and the emails that the payer receives.

Maximum string length: 2147483647
Pattern: ^[\S\s]*$
custom_id
string

The API caller-provided external ID. Used to reconcile API caller-initiated transactions with PayPal transactions. Appears in transaction and settlement reports.

Required string length: 1 - 255
Pattern: ^[A-Za-z0-9-_.,]*$
acquirer_reference_number
string

Reference ID issued for the card transaction. This ID can be used to track the transaction across processors, card brands and issuing banks.

Required string length: 1 - 36
Pattern: ^[a-zA-Z0-9]+$
note_to_payer
string
read-only

The reason for the refund. Appears in both the payer's transaction history and the emails that the payer receives.

Maximum string length: 2147483647
Pattern: ^[\S\s]*$
seller_payable_breakdown
Seller Payable Breakdown · object
read-only

The breakdown of the refund.

payer
payee_base · object

The details associated with the merchant for this transaction.

buyer_context
Buyer Context · object

The buyer context for the refund transaction.

An array of related HATEOAS links.

Maximum array length: 32767
create_time
string

The date and time when the transaction occurred, in Internet date and time format.

Required string length: 20 - 64
Pattern: ^[0-9]{4}-(0[1-9]|1[0-2])-(0[1-9]|[1-2][0-9]|3[0-1])[T,t]([0-1][0-9]|2[0-3]):[0-5][0-9]:([0-5][0-9]|60)([.][0-9]+)?([Zz]|[+-][0-9]{2}:[0-9]{2})$
update_time
string

The date and time when the transaction was last updated, in Internet date and time format.

Required string length: 20 - 64
Pattern: ^[0-9]{4}-(0[1-9]|1[0-2])-(0[1-9]|[1-2][0-9]|3[0-1])[T,t]([0-1][0-9]|2[0-3]):[0-5][0-9]:([0-5][0-9]|60)([.][0-9]+)?([Zz]|[+-][0-9]{2}:[0-9]{2})$